# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Enumerations | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXBinaryDefs.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Enumerations

enum | vl::EVLBChunkType { vl::VLB_ChunkStructure = 1, vl::VLB_ChunkList, vl::VLB_ChunkArrayRealDouble, vl::VLB_ChunkArrayRealFloat, vl::VLB_ChunkArrayInteger, vl::VLB_ChunkRawtext, vl::VLB_ChunkString, vl::VLB_ChunkIdentifier, vl::VLB_ChunkID, vl::VLB_ChunkRealDouble, vl::VLB_ChunkInteger, vl::VLB_ChunkBool }

## Functions

bool | vl::compress (const void *data, size_t size, std::vector< unsigned char > &out, int level)
bool | vl::decompress (const void *cdata, size_t csize, void *data_out)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.